Subject: Re: git log --stat FILE

From: Marcus Comstedt <[email-masked]>
Date: Sun, 08 Aug 2010 15:33:02 +0200

Jakub Narebski <[email-masked]> writes:

> To me (and probably many others), a "diff" is something that describe
> differences between two versions (compares two version).

Jakub, there is no need for you to explain or justify why this is
obvious to you.  I have no problem accepting that at face value.
I'm simply trying to explain why this was not obvious to me, in the
hope of aiding any effort in improving the documentation.  After all,
writing documentation for something you feel is obvious is very
difficult.  But if you feel that the documentation is fine as it is,
that is also your privilege.

> Note that 'GNU diff' (and other "/usr/bin/diff") supports three
> output formats:  ed based, context and unified formats.

Indeed, and all those qualify as "diffs" in my mindset.  I would
however not consider the output of "diff -q" as a true "diff", and
naturally not the output of "diff --version".

  // Marcus